Google Maps API Bubble subscription level

I am paying for my subscription to Bubble level 1, that is $32 per month. I want to use Google Maps API and under the API info says I need to upgrade, which is $132 per month.
May I ask if I indeed need to upgrade to the higher level in order to use the Google Maps API for address lookup/validation?
I have added a geographic address data type and it is not saving, despite a lot of advice on what the problem may be. So I am wondering if it is due to the Bubble subscription level.

For those of you who use the Maps api, may I ask at what level you are subscribed?
Is my issue that?
Thanks.

Show a screenshot?

In General Tab under Settings

No, that says Upgrade to enable searching with Algolia. Nothing to do with Google Maps.

This topic was automatically closed after 70 days. New replies are no longer allowed.